Subject: Re: bug#63871: 29.0.91; JIT native comp triggered to compile loaddefs repeatedly on require

From: Jimmy Wong <[email-masked]>
Date: Sat, 3 Jun 2023 15:11:05 +0100

I expect the buffer orders in the buffer list to be restored when desktop mode restores a session, not have an async native compile log buffer inserted at the top so I can quickly switch to the second to last buffer I was working on before the restart.
On 3 Jun 2023 at 3:08 PM +0100, Eli Zaretskii <[email-masked]>, wrote:
> > Date: Sat, 3 Jun 2023 14:54:22 +0100
> > From: Jimmy Wong <[email-masked]>
> > Cc: [email-masked]
> >
> > The problem is not that it does something when it compiles, the problem is it should not have triggered
> > a compilation at all and pops up a buffer.
>
> ??? Why? Loading a package could legitimately load other packages.
> Emacs worked like that since about forever. What is special in this
> particular case?
>
> And what do you mean by "pops up a buffer"? When I reproduce your
> recipe, no buffer is popped on display.
>
> > This messes up the buffer order when restoring a session
> > with desktop mode on restart.
>
> Messes up how?
>
> And what do you expect from the buffer order when you restart a
> session using desktop.el?